## r-bioc-edaseq 2.22.0+dfsg

=== DESCRIPTION ===
Package: EDASeq
Version: 2.22.0
Title: Exploratory Data Analysis and Normalization for RNA-Seq
Description: Numerical and graphical summaries of RNA-Seq read data.
        Within-lane normalization procedures to adjust for GC-content
        effect (or other gene-level effects) on read counts: loess
        robust local regression, global-scaling, and full-quantile
        normalization (Risso et al., 2011). Between-lane normalization
        procedures to adjust for distributional differences between
        lanes (e.g., sequencing depth): global-scaling and
        full-quantile normalization (Bullard et al., 2010).
Authors@R: c(person("Davide", "Risso", email = "risso.davide@gmail.com",
	          role = c("aut", "cre", "cph")),
	     person("Sandrine", "Dudoit", role = "aut"),
	     person("Ludwig", "Geistlinger", role = "ctb"))
Author: Davide Risso [aut, cre, cph], Sandrine Dudoit [aut], Ludwig Geistlinger [ctb]
Maintainer: Davide Risso <risso.davide@gmail.com>
Date: 08-30-2011
Depends: Biobase (>= 2.15.1), ShortRead (>= 1.11.42)
Imports: methods, graphics, BiocGenerics, IRanges (>= 1.13.9), DESeq,
        aroma.light, Rsamtools (>= 1.5.75), biomaRt, Biostrings,
        AnnotationDbi, GenomicFeatures, GenomicRanges, BiocManager
Suggests: BiocStyle, knitr, yeastRNASeq, leeBamViews, edgeR,
        KernSmooth, testthat
VignetteBuilder: knitr
License: Artistic-2.0
LazyLoad: yes
biocViews: ImmunoOncology, Sequencing, RNASeq, Preprocessing,
        QualityControl, DifferentialExpression
URL: https://github.com/drisso/EDASeq
BugReports: https://github.com/drisso/EDASeq/issues
RoxygenNote: 7.0.2
git_url: https://git.bioconductor.org/packages/EDASeq
git_branch: RELEASE_3_11
git_last_commit: e15ae33
git_last_commit_date: 2020-04-27
Date/Publication: 2020-04-27
NeedsCompilation: no
Packaged: 2020-04-28 00:27:40 UTC; biocbuild

=== debian/changelog ===
r-bioc-edaseq (2.22.0+dfsg-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:07:15 +0000

r-bioc-edaseq (2.22.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 21 May 2020 14:35:06 +0200

r-bioc-edaseq (2.20.0+dfsg-2) unstable; urgency=medium

  * Source only upload.

 -- Andreas Tille <tille@debian.org>  Mon, 06 Apr 2020 14:08:09 +0200

r-bioc-edaseq (2.20.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #955735)

 -- Andreas Tille <tille@debian.org>  Sat, 04 Apr 2020 13:09:33 +0200

=== debian/control ===
Source: r-bioc-edaseq
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-bioc-biobase,
               r-bioc-shortread,
               r-bioc-biocgenerics,
               r-bioc-iranges,
               r-bioc-deseq,
               r-bioc-aroma.light,
               r-bioc-rsamtools,
               r-bioc-biomart,
               r-bioc-biostrings,
               r-bioc-annotationdbi,
               r-bioc-genomicfeatures,
               r-bioc-genomicranges,
               r-cran-biocmanager
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-edaseq
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-edaseq.git
Homepage: https://bioconductor.org/packages/EDASeq/
Rules-Requires-Root: no

Package: r-bioc-edaseq
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R exploratory data analysis and normalization for RNA-Seq
 Numerical and graphical summaries of RNA-Seq read data.
 Within-lane normalization procedures to adjust for GC-content
 effect (or other gene-level effects) on read counts: loess
 robust local regression, global-scaling, and full-quantile
 normalization (Risso et al., 2011). Between-lane normalization
 procedures to adjust for distributional differences between
 lanes (e.g., sequencing depth): global-scaling and
 full-quantile normalization (Bullard et al., 2010).

## r-bioc-edaseq 2.24.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: EDASeq
-Version: 2.22.0
+Version: 2.24.0
 Title: Exploratory Data Analysis and Normalization for RNA-Seq
 Description: Numerical and graphical summaries of RNA-Seq read data.
         Within-lane normalization procedures to adjust for GC-content
@@ -17,11 +17,11 @@
 Maintainer: Davide Risso <risso.davide@gmail.com>
 Date: 08-30-2011
 Depends: Biobase (>= 2.15.1), ShortRead (>= 1.11.42)
-Imports: methods, graphics, BiocGenerics, IRanges (>= 1.13.9), DESeq,
+Imports: methods, graphics, BiocGenerics, IRanges (>= 1.13.9),
         aroma.light, Rsamtools (>= 1.5.75), biomaRt, Biostrings,
         AnnotationDbi, GenomicFeatures, GenomicRanges, BiocManager
 Suggests: BiocStyle, knitr, yeastRNASeq, leeBamViews, edgeR,
-        KernSmooth, testthat
+        KernSmooth, testthat, DESeq2
 VignetteBuilder: knitr
 License: Artistic-2.0
 LazyLoad: yes
@@ -29,11 +29,11 @@
         QualityControl, DifferentialExpression
 URL: https://github.com/drisso/EDASeq
 BugReports: https://github.com/drisso/EDASeq/issues
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.0
 git_url: https://git.bioconductor.org/packages/EDASeq
-git_branch: RELEASE_3_11
-git_last_commit: e15ae33
-git_last_commit_date: 2020-04-27
-Date/Publication: 2020-04-27
+git_branch: RELEASE_3_12
+git_last_commit: c7c4531
+git_last_commit_date: 2020-10-27
+Date/Publication: 2020-10-27
 NeedsCompilation: no
-Packaged: 2020-04-28 00:27:40 UTC; biocbuild
+Packaged: 2020-10-27 23:54:12 UTC; biocbuild

=== debian/changelog ===
r-bioc-edaseq (2.24.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 03 Nov 2020 22:05:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: r-bioc-edaseq
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-biobase,
                r-bioc-shortread,
                r-bioc-biocgenerics,
                r-bioc-iranges,
-               r-bioc-deseq,
                r-bioc-aroma.light,
                r-bioc-rsamtools,
                r-bioc-biomart,

## r-bioc-edaseq 2.28.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: EDASeq
-Version: 2.24.0
+Version: 2.28.0
 Title: Exploratory Data Analysis and Normalization for RNA-Seq
 Description: Numerical and graphical summaries of RNA-Seq read data.
         Within-lane normalization procedures to adjust for GC-content
@@ -21,7 +21,7 @@
         aroma.light, Rsamtools (>= 1.5.75), biomaRt, Biostrings,
         AnnotationDbi, GenomicFeatures, GenomicRanges, BiocManager
 Suggests: BiocStyle, knitr, yeastRNASeq, leeBamViews, edgeR,
-        KernSmooth, testthat, DESeq2
+        KernSmooth, testthat, DESeq2, rmarkdown
 VignetteBuilder: knitr
 License: Artistic-2.0
 LazyLoad: yes
@@ -31,9 +31,9 @@
 BugReports: https://github.com/drisso/EDASeq/issues
 RoxygenNote: 7.1.0
 git_url: https://git.bioconductor.org/packages/EDASeq
-git_branch: RELEASE_3_12
-git_last_commit: c7c4531
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: 358891b
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: no
-Packaged: 2020-10-27 23:54:12 UTC; biocbuild
+Packaged: 2021-10-26 21:21:22 UTC; biocbuild

=== debian/changelog ===
r-bioc-edaseq (2.28.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 26 Nov 2021 08:04:01 +0100

r-bioc-edaseq (2.26.1+dfsg-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Nilesh Patra <nilesh@debian.org>  Sun, 12 Sep 2021 18:32:07 +0530

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                r-bioc-genomicfeatures,
                r-bioc-genomicranges,
                r-cran-biocmanager
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-edaseq
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-edaseq.git
 Homepage: https://bioconductor.org/packages/EDASeq/

## r-bioc-edaseq 2.30.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: EDASeq
-Version: 2.28.0
+Version: 2.30.0
 Title: Exploratory Data Analysis and Normalization for RNA-Seq
 Description: Numerical and graphical summaries of RNA-Seq read data.
         Within-lane normalization procedures to adjust for GC-content
@@ -31,9 +31,9 @@
 BugReports: https://github.com/drisso/EDASeq/issues
 RoxygenNote: 7.1.0
 git_url: https://git.bioconductor.org/packages/EDASeq
-git_branch: RELEASE_3_14
-git_last_commit: 358891b
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 9a5dd9d
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: no
-Packaged: 2021-10-26 21:21:22 UTC; biocbuild
+Packaged: 2022-04-26 20:34:07 UTC; biocbuild

=== debian/changelog ===
r-bioc-edaseq (2.30.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 May 2022 20:37:38 +0200

## r-bioc-edaseq 2.32.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: EDASeq
-Version: 2.30.0
+Version: 2.32.0
 Title: Exploratory Data Analysis and Normalization for RNA-Seq
 Description: Numerical and graphical summaries of RNA-Seq read data.
         Within-lane normalization procedures to adjust for GC-content
@@ -31,9 +31,9 @@
 BugReports: https://github.com/drisso/EDASeq/issues
 RoxygenNote: 7.1.0
 git_url: https://git.bioconductor.org/packages/EDASeq
-git_branch: RELEASE_3_15
-git_last_commit: 9a5dd9d
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 06df5a3
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-04-26 20:34:07 UTC; biocbuild
+Packaged: 2022-11-01 21:26:34 UTC; biocbuild

=== debian/changelog ===
r-bioc-edaseq (2.32.0+dfsg-2) unstable; urgency=medium

  * Disable reprotest
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Tue, 22 Nov 2022 07:28:16 +0100

r-bioc-edaseq (2.32.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 20:36:04 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                r-bioc-genomicfeatures,
                r-bioc-genomicranges,
                r-cran-biocmanager
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-edaseq
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-edaseq.git
 Homepage: https://bioconductor.org/packages/EDASeq/

## r-bioc-edaseq 2.34.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: EDASeq
-Version: 2.32.0
+Version: 2.34.0
 Title: Exploratory Data Analysis and Normalization for RNA-Seq
 Description: Numerical and graphical summaries of RNA-Seq read data.
         Within-lane normalization procedures to adjust for GC-content
@@ -31,9 +31,9 @@
 BugReports: https://github.com/drisso/EDASeq/issues
 RoxygenNote: 7.1.0
 git_url: https://git.bioconductor.org/packages/EDASeq
-git_branch: RELEASE_3_16
-git_last_commit: 06df5a3
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 71b52e3
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: no
-Packaged: 2022-11-01 21:26:34 UTC; biocbuild
+Packaged: 2023-04-25 20:59:15 UTC; biocbuild

=== debian/changelog ===
r-bioc-edaseq (2.34.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 15:13:40 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                r-bioc-genomicfeatures,
                r-bioc-genomicranges,
                r-cran-biocmanager
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-edaseq
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-edaseq.git
 Homepage: https://bioconductor.org/packages/EDASeq/

## r-bioc-edaseq 2.36.0%2Bdfsg

=== debian/changelog ===
r-bioc-edaseq (2.36.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 01 Dec 2023 10:46:51 +0100

## r-bioc-edaseq 2.36.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: EDASeq
-Version: 2.34.0
+Version: 2.36.0
 Title: Exploratory Data Analysis and Normalization for RNA-Seq
 Description: Numerical and graphical summaries of RNA-Seq read data.
         Within-lane normalization procedures to adjust for GC-content
@@ -31,9 +31,9 @@
 BugReports: https://github.com/drisso/EDASeq/issues
 RoxygenNote: 7.1.0
 git_url: https://git.bioconductor.org/packages/EDASeq
-git_branch: RELEASE_3_17
-git_last_commit: 71b52e3
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: af70dab
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2023-04-25 20:59:15 UTC; biocbuild
+Packaged: 2023-10-24 21:05:28 UTC; biocbuild

## r-bioc-edaseq 2.38.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: EDASeq
-Version: 2.36.0
+Version: 2.38.0
 Title: Exploratory Data Analysis and Normalization for RNA-Seq
 Description: Numerical and graphical summaries of RNA-Seq read data.
         Within-lane normalization procedures to adjust for GC-content
@@ -31,9 +31,10 @@
 BugReports: https://github.com/drisso/EDASeq/issues
 RoxygenNote: 7.1.0
 git_url: https://git.bioconductor.org/packages/EDASeq
-git_branch: RELEASE_3_18
-git_last_commit: af70dab
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: aab2daa
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2023-10-24 21:05:28 UTC; biocbuild
+Packaged: 2024-05-01 03:36:35 UTC; biocbuild

=== debian/changelog ===
r-bioc-edaseq (2.38.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 12:28:12 +0200

r-bioc-edaseq (2.38.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 06 Aug 2024 15:53:57 +0200

r-bioc-edaseq (2.38.0+dfsg-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 16:40:03 +0200

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biobase,
-               r-bioc-shortread,
-               r-bioc-biocgenerics,
-               r-bioc-iranges,
-               r-bioc-aroma.light,
-               r-bioc-rsamtools,
-               r-bioc-biomart,
-               r-bioc-biostrings,
-               r-bioc-annotationdbi,
-               r-bioc-genomicfeatures,
-               r-bioc-genomicranges,
+               r-bioc-biobase (>= 2.64.0),
+               r-bioc-shortread (>= 1.62.0),
+               r-bioc-biocgenerics (>= 0.50.0),
+               r-bioc-iranges (>= 2.38.1),
+               r-bioc-aroma.light (>= 3.34.0),
+               r-bioc-rsamtools (>= 2.20.0),
+               r-bioc-biomart (>= 2.60.1),
+               r-bioc-biostrings (>= 2.72.1),
+               r-bioc-annotationdbi (>= 1.66.0),
+               r-bioc-genomicfeatures (>= 1.56.0),
+               r-bioc-genomicranges (>= 1.56.1),
                r-cran-biocmanager
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-edaseq
@@ -28,9 +28,23 @@
 Package: r-bioc-edaseq
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-biobase (>= 2.64.0),
+         r-bioc-shortread (>= 1.62.0),
+         r-bioc-biocgenerics (>= 0.50.0),
+         r-bioc-iranges (>= 2.38.1),
+         r-bioc-aroma.light (>= 3.34.0),
+         r-bioc-rsamtools (>= 2.20.0),
+         r-bioc-biomart (>= 2.60.1),
+         r-bioc-biostrings (>= 2.72.1),
+         r-bioc-annotationdbi (>= 1.66.0),
+         r-bioc-genomicfeatures (>= 1.56.0),
+         r-bioc-genomicranges (>= 1.56.1)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocstyle (>= 2.32.1),
+          r-bioc-edger (>= 4.2.1),
+          r-bioc-deseq2 (>= 1.44.0)
 Description: GNU R exploratory data analysis and normalization for RNA-Seq
  Numerical and graphical summaries of RNA-Seq read data.
  Within-lane normalization procedures to adjust for GC-content

## r-bioc-edaseq 2.40.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: EDASeq
-Version: 2.38.0
+Version: 2.40.0
 Title: Exploratory Data Analysis and Normalization for RNA-Seq
 Description: Numerical and graphical summaries of RNA-Seq read data.
         Within-lane normalization procedures to adjust for GC-content
@@ -31,10 +31,10 @@
 BugReports: https://github.com/drisso/EDASeq/issues
 RoxygenNote: 7.1.0
 git_url: https://git.bioconductor.org/packages/EDASeq
-git_branch: RELEASE_3_19
-git_last_commit: aab2daa
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: fdb405f
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 03:36:35 UTC; biocbuild
+Packaged: 2024-10-30 00:31:56 UTC; biocbuild

=== debian/changelog ===
r-bioc-edaseq (2.40.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 23:20:36 +0100

r-bioc-edaseq (2.40.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 10:36:49 +0100

=== debian/control ===
Source: r-bioc-edaseq
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biobase,
               r-bioc-shortread,
               r-bioc-biocgenerics,
               r-bioc-iranges,
               r-bioc-aroma.light,
               r-bioc-rsamtools,
               r-bioc-biomart,
               r-bioc-biostrings,
               r-bioc-annotationdbi,
               r-bioc-genomicfeatures,
               r-bioc-genomicranges,
               r-cran-biocmanager
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-edaseq
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-edaseq.git
Homepage: https://bioconductor.org/packages/EDASeq/
Rules-Requires-Root: no

Package: r-bioc-edaseq
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R exploratory data analysis and normalization for RNA-Seq
 Numerical and graphical summaries of RNA-Seq read data.
 Within-lane normalization procedures to adjust for GC-content
 effect (or other gene-level effects) on read counts: loess
 robust local regression, global-scaling, and full-quantile
 normalization (Risso et al., 2011). Between-lane normalization
 procedures to adjust for distributional differences between
 lanes (e.g., sequencing depth): global-scaling and
 full-quantile normalization (Bullard et al., 2010).

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/EDASeq.html .*/EDASeq_(.*).tar.gz
